
<app-card [title]="'Update Bank Data'" [updatedData]="updatedData">
  <form *ngIf="bankDataForm" [formGroup]="bankDataForm" (ngSubmit)="onSubmit()">
    <div class="form-group row">
      <label for="dni" class="col-sm-2 col-form-label">DNI</label>
      <div class="col-sm-10">
        <input type="text"
        id="dni"
        class="form-control"
        formControlName="dni"
        placeholder="Enter a DNI">
      </div>
    </div>

    <div class="form-group row">
      <label for="iban" class="col-sm-2 col-form-label">IBAN</label>
      <div class="col-sm-10">
        <input type="text"
        id="iban"
        class="form-control"
        formControlName="iban"
        placeholder="Enter a IBAN" required>
        <app-message-form-validation [field]="'iban'" [form]="bankDataForm" [submitted]="submitted"></app-message-form-validation>
      </div>
    </div>

    <div class="form-group row">
      <label for="address" class="col-sm-2 col-form-label">Address</label>
      <div class="col-sm-10">
        <input type="text"
        id="address"
        class="form-control"
        formControlName="address"
        placeholder="Enter a address">
      </div>
    </div>

    <div class="form-row">
      <div class="form-group col-md-8">
        <label for="city" >City</label>
        <input type="text"
        id="city"
        class="form-control"
        formControlName="city"
        placeholder="Enter a city">
      </div>
      <div class="form-group col-md-4">
        <label for="zipCode">Zip</label>
        <input type="text"
        id="zipCode"
        class="form-control"
        formControlName="zipCode"
        placeholder="Enter a Zip code">
      </div>
    </div>

    <div class="form-group row">
      <div class="col-sm-12">
        <button [disabled]="bankDataForm.invalid" type="submit" class="btn btn-primary float-right">Update</button>
        <button type="button" [routerLink]="['/profile']" class="btn btn-danger float-right mr-2">Cancel</button>
      </div>
    </div>

  </form>
</app-card>
<!-- <div class="row mt-5 d-flex justify-content-center">
  <div class="col col-1 col-md-3 "></div>

  <div class="col col-10 col-md-6 pl-0 pr-0">

    <div class="card w-100">

      <div class="card-header font-weight-bold">
        Update Bank Data
      </div>

      <div class="card-body mt-2">
        <form *ngIf="bankDataForm" [formGroup]="bankDataForm" (ngSubmit)="onSubmit()">
          <div class="form-group row">
            <label for="dni" class="col-sm-2 col-form-label">DNI</label>
            <div class="col-sm-10">
              <input type="text"
              id="dni"
              class="form-control"
              formControlName="dni"
              placeholder="Enter a DNI">
            </div>
          </div>

          <div class="form-group row">
            <label for="iban" class="col-sm-2 col-form-label">IBAN</label>
            <div class="col-sm-10">
              <input type="text"
              id="iban"
              class="form-control"
              formControlName="iban"
              placeholder="Enter a IBAN" required>
              <app-message-form-validation [field]="'iban'" [form]="bankDataForm" [submitted]="submitted"></app-message-form-validation>
            </div>
          </div>

          <div class="form-group row">
            <label for="address" class="col-sm-2 col-form-label">Address</label>
            <div class="col-sm-10">
              <input type="text"
              id="address"
              class="form-control"
              formControlName="address"
              placeholder="Enter a address">
            </div>
          </div>

          <div class="form-row">
            <div class="form-group col-md-8">
              <label for="city" >City</label>
              <input type="text"
              id="city"
              class="form-control"
              formControlName="city"
              placeholder="Enter a city">
            </div>
            <div class="form-group col-md-4">
              <label for="zipCode">Zip</label>
              <input type="text"
              id="zipCode"
              class="form-control"
              formControlName="zipCode"
              placeholder="Enter a Zip code">
            </div>
          </div>

          <div class="form-group row">
            <div class="col-sm-12">
              <button [disabled]="bankDataForm.invalid" type="submit" class="btn btn-primary float-right">Update</button>
              <button type="button" [routerLink]="['/profile']" class="btn btn-danger float-right mr-2">Cancel</button>
            </div>
          </div>

        </form>
      </div>

      <div class="card-footer text-muted" *ngIf="updatedData">
        <p class="text text-success float-left" >Updated bank details!!</p>
      </div>

    </div>
  </div>

  <div class="col col-1 col-md-3 "></div>

</div> -->
